> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beem.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Get delivery reports

> Retrieve SMS delivery status for a sent message. Check delivery status at least 5 minutes after submitting an SMS to allow time for delivery updates from mobile network operators.



## OpenAPI

````yaml /openapi/sms.json get /public/v1/delivery-reports
openapi: 3.0.3
info:
  title: Beem SMS API
  version: 1.0.0
  description: >-
    The Beem SMS API provides endpoints for sending SMS, checking balance,
    delivery reports, sender names, and SMS templates.
  contact:
    name: Beem
    url: https://beem.africa
    email: support@beem.africa
servers:
  - url: https://apisms.beem.africa
    description: Production server
  - url: https://dev-sms.beem.africa
    description: Staging server
security: []
tags: []
paths:
  /public/v1/delivery-reports:
    get:
      summary: Get delivery reports
      description: >-
        Retrieve SMS delivery status for a sent message. Check delivery status
        at least 5 minutes after submitting an SMS to allow time for delivery
        updates from mobile network operators.
      operationId: getDeliveryReports
      parameters:
        - name: dest_addr
          in: query
          required: true
          schema:
            type: string
            example: '255700000002'
          description: Destination mobile number.
        - name: request_id
          in: query
          required: true
          schema:
            type: string
            example: '31951'
          description: Request ID returned in the Send SMS response.
      responses:
        '200':
          description: Delivery report found
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  required:
                    - dest_addr
                    - status
                    - request_id
                  properties:
                    dest_addr:
                      type: string
                      description: Destination mobile number.
                      example: '255700000002'
                    status:
                      type: string
                      enum:
                        - UNDELIVERED
                        - PENDING
                        - DELIVERED
                      description: Beem message status.
                    request_id:
                      type: string
                      description: Beem API transaction ID matching the Send SMS response.
                      example: '31951'
              examples:
                pending:
                  summary: Message pending delivery
                  value:
                    - dest_addr: '255700000002'
                      status: PENDING
                      request_id: '31951'
                delivered:
                  summary: Message delivered
                  value:
                    - dest_addr: '255700000002'
                      status: DELIVERED
                      request_id: '31951'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  code:
                    type: integer
                  message:
                    type: string
              examples:
                missingAuth:
                  summary: Missing authorization header
                  value:
                    error: No authorization headers
                badRequest:
                  summary: Missing query parameters
                  value:
                    code: 400
                    message: Bad request
        '401':
          description: Unauthorized — invalid or missing API credentials.
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: API error code.
                    example: 120
                  message:
                    type: string
                    description: Error message.
                required:
                  - code
                  - message
                additionalProperties: true
              examples:
                invalidAuthentication:
                  summary: Invalid authentication
                  value:
                    code: 120
                    message: Invalid Authentication Parameters
        '404':
          description: Delivery report not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              examples:
                notFound:
                  summary: Invalid request_id or dest_addr
                  value:
                    error: Invalid request_id or dest_addr
      security:
        - basicAuth: []
        - accessToken: []
      servers:
        - url: https://dlrapi.beem.africa
          description: Delivery Reports API
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: 'Beem API credentials: API key as username, API secret as password.'
    accessToken:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Access token only. Send as Authorization: <token> — do not use a Bearer
        prefix.

````